#ifndef ALPHADRIVER_H
#define ALPHADRIVER_H
#include "AlphaInterface.h"
#define SHORT_TO_BYTE(x) (x & 0xFF), (x >> 8)
 void WriteString(char *data);
 void ChangeBaudRate(uint8_t speed);
 void ChangeI2CSlaveAddress(uint8_t address);
 void TransmissionProtocolSelect(uint8_t protocol);
 void SetaNonStandardBaudRate(uint16_t speed);
 uint32_t SoftwareReset(uint8_t data[], size_t length);
 void ClearScreen(void);
 void ChangetheStartUpScreen(uint8_t characters[], size_t length);
 void AutoScrollOn(void);
 void AutoScrollOff(void);
 void SetAutoLineWrapOn(void);
 void SetAutoLineWrapOff(void);
 void SetCursorPosition(uint8_t row, uint8_t column);
 void GoHome(void);
 void MoveCursorBack(void);
 void MoveCursorForward(void);
 void UnderlineCursorOn(void);
 void UnderlineCursorOff(void);
 void BlinkingBlockCursorOn(void);
 void BlinkingBlockCursorOff(void);
 void CreateaCustomCharacter(uint8_t id, uint8_t data[], size_t length);
 void SaveCustomcharacters(uint8_t bank, uint8_t id, uint8_t data[], size_t length);
 void LoadCustomcharacters(uint8_t bank);
 void SaveStartUpScreenCustomcharacters(uint8_t id, uint8_t data[], size_t length);
 void InitializeMediumNumbers(void);
 void PlaceMediumNumbers(uint8_t row, uint8_t column, uint8_t digit);
 void InitializeLargeNumbers(void);
 void PlaceLargeNumbers(uint8_t column, uint8_t digit);
 void InitializeHorizontalBar(void);
 void PlaceHorizontalBarGraph(uint8_t column, uint8_t row, uint8_t direction, uint8_t length);
 void InitializeNarrowVerticalBar(void);
 void InitializeWideVerticalBar(void);
 void PlaceVerticalBar(uint8_t column, uint8_t length);
 void GeneralPurposeOutputOn(uint8_t number);
 void GeneralPurposeOutputOff(uint8_t number);
 void SetStartUpGPOState(uint8_t number, uint8_t state);
 void SetLEDIndicators(uint8_t number, uint8_t colour);
 uint32_t SearchforaOneWireDevice(uint8_t data[], size_t length);
 void DallasOneWireTransaction(uint8_t flags, uint8_t sendbits, uint8_t receivebits, uint8_t data[], size_t length);
 void ActivatePiezoBuzzer(uint8_t time);
 void SetKeypadBuzzerBeep(uint8_t setting);
 void AutoTransmitKeyPressesOn(void);
 void AutoTransmitKeyPressesOff(void);
 uint32_t PollKeyPress(uint8_t data[], size_t length);
 void ClearKeyBuffer(void);
 void SetDebounceTime(uint8_t time);
 void SetAutoRepeatMode(uint8_t mode);
 void AutoRepeatModeOff(void);
 void AssignKeypadCodes(uint8_t keydown[], uint8_t keyup[], size_t length);
 void KeypadBacklightOff(void);
 void SetKeypadBrightness(uint8_t brightness);
 void SetAutoBacklight(uint8_t setting);
 void BacklightOn(uint8_t minutes);
 void BacklightOff(void);
 void SetBrightness(uint8_t brightness);
 void SetandSaveBrightness(uint8_t brightness);
 void SetBacklightColour(uint8_t red, uint8_t green, uint8_t blue);
 void SetContrast(uint8_t contrast);
 void SetandSaveContrast(uint8_t contrast);
 void SetVFDBrightness(uint8_t brightness);
 void SetandSaveVFDBrightness(uint8_t brightness);
 void SetRemember(uint8_t setting);
 void SetDataLock(uint8_t level);
 void SetandSaveDataLock(uint8_t level);
 void WriteCustomerData(uint8_t data[], size_t length);
 uint32_t ReadCustomerData(uint8_t data[], size_t length);
 uint32_t ReadVersionNumber(uint8_t data[], size_t length);
 uint32_t ReadModuleType(uint8_t data[], size_t length);
#endif
